### Method

# ECal ComponentAlarm get_action

since: 3.34

#### Declaration [src]

    ECalComponentAlarmAction
    e_cal_component_alarm_get_action (
      const ECalComponentAlarm* alarm
    )

#### Description [src]

Get the `alarm` action, as an `ECalComponentAlarmAction`.

Available since: 3.34

#### Return value

Type: `ECalComponentAlarmAction`

The `alarm` action, or `E_CAL_COMPONENT_ALARM_NONE`, when none is set.